Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_ValueFactory_Map Class Reference

`#include <ValueFactory_Map.h>`

Collaboration diagram for TAO_ValueFactory_Map:

[legend]
List of all members.

## Public Methods
| TAO_ValueFactory_Map ()
| ~TAO_ValueFactory_Map ()
int | rebind (const char *repo_id, CORBA_ValueFactory_ptr &factory)
int | unbind (const char *repo_id, CORBA_ValueFactory_ptr &factory)
| Removes entry for repo_id from the map and sets factory to the tied one.
int | find (const char *repo_id, CORBA_ValueFactory_ptr &factory)
void | dump (void)
## Private Types
typedef ACE_Hash_Map_Manager_Ex< const char *, CORBA_ValueFactory_ptr, ACE_Hash<const char *>, ACE_Equal_To< const char *>, TAO_SYNCH_RW_MUTEX> | FACTORY_MAP_MANAGER
| The hash table data structure.
## Private Attributes
FACTORY_MAP_MANAGER | map_

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<const char *, CORBA_ValueFactory_ptr, ACE_Hash<const char *>, ACE_Equal_To<const char *>, TAO_SYNCH_RW_MUTEX> TAO_ValueFactory_Map::FACTORY_MAP_MANAGER`[private]`

| The hash table data structure.

## Constructor & Destructor Documentation

const char *get_rcsid_tao _ TAO_ValueFactory_Map::TAO_ValueFactory_Map ( | )`[inline]`

TAO_ValueFactory_Map::~TAO_ValueFactory_Map ( | )

## Member Function Documentation

void TAO_ValueFactory_Map::dump ( | void )

int TAO_ValueFactory_Map::find ( | const char * repo_id,
| CORBA_ValueFactory_ptr & factory )

| Lookup a matching factory for repo_id. Invokes _add_ref () on the factory if found. Returns -1 on failure and 0 on success.

int TAO_ValueFactory_Map::rebind ( | const char * repo_id,
| CORBA_ValueFactory_ptr & factory )

| Associate the factory (int_id) with the repo_id (ext_id). Invokes _add_ref () on the factory. If previous factory had been bind with this repo_id, this one is returned in factory (and the caller holds a reference). Returns -1 on failure, 0 on success and 1 if a previous factory is found (and returned in factory).

int TAO_ValueFactory_Map::unbind ( | const char * repo_id,
| CORBA_ValueFactory_ptr & factory )

| Removes entry for repo_id from the map and sets factory to the tied one.

## Member Data Documentation

FACTORY_MAP_MANAGER TAO_ValueFactory_Map::map_`[private]`

The documentation for this class was generated from the following files:

- ValueFactory_Map.h
- ValueFactory_Map.cpp